Subject: Re: [PATCH 07/15] refs: plumb `exclude_patterns` argument throughout

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 9 May 2023 17:14:58 +0200

On Mon, May 08, 2023 at 06:00:01PM -0400, Taylor Blau wrote:
> The subsequent patch will want to access an optional `excluded_patterns`
> array within refs/packed-backend.c. To do so, the refs subsystem needs
> to be updated to pass this value across a number of different locations.
> 
> Prepare for a future patch by introducing this plumbing now, passing
> NULLs at top-level APIs in order to make that patch less noisy and more
> easily readable.

It might be worth mentioning in the commit message that the exclude
patterns are supposed to be best-effort. In other words, any caller
would still need to do manual filtering if I understand correctly. And
while this is indeed documented via `refs_for_each_fullref_in_prefixes`
it is quite easy to miss this important little detail.

Patrick